#include <SoftwareSerial.h>
#include <LSS.h>

// ID set to default LSS ID = 0
#define LSS_ID    (0)
#define LSS_BAUD  (LSS_DefaultBaud)

// Create one LSS object
LSS myLSS = LSS(LSS_ID);

// Create a software serial port (LSS Adapter board used in XBee mode)
SoftwareSerial mySoftSerial(8, 9);

void setup(){
  LSS::initBus(mySoftSerial, LSS_BAUD);
}

void loop(){
  // Cycle through all LED colors with a delay of 500ms 
  myLSS.setColorLED(1, LSS_SetSession);
  delay(500);
  myLSS.setColorLED(2, LSS_SetSession);
  delay(500);
  myLSS.setColorLED(3, LSS_SetSession);
  delay(500);
  myLSS.setColorLED(4, LSS_SetSession);
  delay(500);
  myLSS.setColorLED(5, LSS_SetSession);
  delay(500);
  myLSS.setColorLED(6, LSS_SetSession);
  delay(500);
  myLSS.setColorLED(7, LSS_SetSession);
  delay(500);
  myLSS.setColorLED(0, LSS_SetSession);
  delay(500);
}
